Create a visit
curl --request POST \
--url https://api.spacebring.com/visitors/visits/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"visit": {
"date": "2023-11-07T05:31:56Z",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"comment": "<string>"
}
}
'{
"visit": {
"code": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>",
"address": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userHost": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"checkInDate": "2023-11-07T05:31:56Z",
"checkOutDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
}Visitors
Create a visit
Create a visit.
OAuth
Required scopes:visitorsPOST
/
visitors
/
visits
/
v1
Create a visit
curl --request POST \
--url https://api.spacebring.com/visitors/visits/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"visit": {
"date": "2023-11-07T05:31:56Z",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"comment": "<string>"
}
}
'{
"visit": {
"code": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>",
"address": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userHost": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"checkInDate": "2023-11-07T05:31:56Z",
"checkOutDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
}Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Body
application/json
Visit to create.
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes
Was this page helpful?
⌘I